libstdc++: __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc > Struct Template Reference

libstdc++

__gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc > Struct Template Referenceabstract

`#include <branch_policy.hpp>`

## Protected Types
typedef rebind_v::const_pointer | const_pointer
typedef rebind_v::const_reference | const_reference
typedef Node_CItr::value_type | it_type
typedef rebind_v::const_reference | key_const_reference
typedef value_type | key_type
typedef remove_const< key_type >::type | rckey_type
typedef remove_const< value_type >::type | rcvalue_type
typedef rebind_traits< _Alloc, rckey_type > | rebind_k
typedef rebind_traits< _Alloc, rcvalue_type > | rebind_v
typedef rebind_v::reference | reference
typedef std::iterator_traits< it_type >::value_type | value_type

## Protected Member Functions
virtual it_type | end () const =0
it_type | end_iterator () const

## Static Protected Member Functions
static key_const_reference | extract_key (const_reference r_val)

## Detailed Description

template<typename Node_CItr, typename _Alloc>
struct __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >

Specialization for const iterators.

Definition at line 89 of file branch_policy.hpp.

## Member Typedef Documentation

## ◆ const_pointer

template<typename Node_CItr, typename _Alloc>

typedef rebind_v::const_pointer __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::const_pointer
| protected

Definition at line 98 of file branch_policy.hpp.

## ◆ const_reference

template<typename Node_CItr, typename _Alloc>

typedef rebind_v::const_reference __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::const_reference
| protected

Definition at line 97 of file branch_policy.hpp.

## ◆ it_type

template<typename Node_CItr, typename _Alloc>

typedef Node_CItr::value_type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::it_type
| protected

Definition at line 92 of file branch_policy.hpp.

## ◆ key_const_reference

template<typename Node_CItr, typename _Alloc>

typedef rebind_v::const_reference __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::key_const_reference
| protected

Definition at line 101 of file branch_policy.hpp.

## ◆ key_type

template<typename Node_CItr, typename _Alloc>

typedef value_type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::key_type
| protected

Definition at line 100 of file branch_policy.hpp.

## ◆ rckey_type

typedef remove_const<key_type>::type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::rckey_type
| protected

Definition at line 61 of file branch_policy.hpp.

## ◆ rcvalue_type

template<typename Node_CItr, typename _Alloc>

typedef remove_const<value_type>::type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::rcvalue_type
| protected

Definition at line 94 of file branch_policy.hpp.

## ◆ rebind_k

typedef rebind_traits<_Alloc, rckey_type> __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::rebind_k
| protected

Definition at line 64 of file branch_policy.hpp.

## ◆ rebind_v

template<typename Node_CItr, typename _Alloc>

typedef rebind_traits<_Alloc, rcvalue_type> __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::rebind_v
| protected

Definition at line 95 of file branch_policy.hpp.

## ◆ reference

template<typename Node_CItr, typename _Alloc>

typedef rebind_v::reference __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::reference
| protected

Definition at line 96 of file branch_policy.hpp.

## ◆ value_type

template<typename Node_CItr, typename _Alloc>

typedef std::iterator_traits<it_type>::value_type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::value_type
| protected

Definition at line 93 of file branch_policy.hpp.

## Constructor & Destructor Documentation

## ◆ ~branch_policy()

template<typename Node_CItr, typename _Alloc>

virtual __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::~branch_policy | ( |  | ) |
| inlineprotectedvirtual

Definition at line 115 of file branch_policy.hpp.

## Member Function Documentation

## ◆ end_iterator()

template<typename Node_CItr, typename _Alloc>

it_type __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::end_iterator | ( |  | ) | const
| inlineprotected

Definition at line 111 of file branch_policy.hpp.

## ◆ extract_key()

template<typename Node_CItr, typename _Alloc>

key_const_reference __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >::extract_key | ( | const_reference | r_val | ) |
| inlinestaticprotected

Definition at line 104 of file branch_policy.hpp.

The documentation for this struct was generated from the following file:

- branch_policy.hpp